{
  pkgs, lib
, python3Packages, python3
, gtk3, gobject-introspection, gnome
, wrapGAppsHook
, fetchFromGitHub
}:

python3Packages.buildPythonApplication rec {
  pname = "vfio-isolate";
  version = "0.3.1";

  buildInputs = with python3.pkgs; [ parsimonious psutil click ];
  propagatedBuildInputs = with python3.pkgs; [ parsimonious psutil click ];

  patches = [ ./remove-versions.patch ];
  
  src = fetchFromGitHub {
    owner = "spheenik";
    repo = "vfio-isolate";
    rev = "master";
    sha256 = "0n85bmaj79i97j19wrn3z4hmg93p2rrsb3jk1qfd0107agx8mr3k";
  };

  doCheck = false;

  # Required as we otherwise don't get the dbus policy installed
  # correctly
 #preInstall = ''
 #  # see https://github.com/pypa/setuptools/issues/130
 #  ${python3}/bin/${python3.executable} setup.py install_data --install-dir=$out --root=$out
 #'';
  
  meta = with lib; {
    homepage = "https://github.com/spheenik/vfio-isolate";
    description = "CPU and memory isolation for VFIO ";
    license = licenses.mit;
    maintainers = [ ];
    platforms = lib.platforms.linux;
  };
}
